#!/bin/sh

#
# Copyright (C) 2023-06-20  Julien BRUGUIER
# 
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

cd $(dirname $0)
DIR=$(pwd)
mkdir -p test_wrong_values_type
cd test_wrong_values_type
export svm=/usr/bin/svm
export svm_plugin=/usr/bin/svm_plugin
export svm_config=/usr/bin/svm_config
$SVM_TOOL $DIR/wrong_values_type.svm $@
RES=$?
cd ..
rm -rf test_wrong_values_type
exit $RES
